iseq_catch_table_entry Struct Reference

`#include <iseq.h>`

## Public Types

enum | catch_type { CATCH_TYPE_RESCUE, CATCH_TYPE_ENSURE, CATCH_TYPE_RETRY, CATCH_TYPE_BREAK, CATCH_TYPE_REDO, CATCH_TYPE_NEXT }

## Data Fields

enum iseq_catch_table_entry::catch_type | type
VALUE | iseq
unsigned long | start
unsigned long | end
unsigned long | cont
unsigned long | sp

## Detailed Description

Definition at line 52 of file iseq.h.

## Member Enumeration Documentation

enum iseq_catch_table_entry::catch_type

Enumerator
CATCH_TYPE_RESCUE |
CATCH_TYPE_ENSURE |
CATCH_TYPE_RETRY |
CATCH_TYPE_BREAK |
CATCH_TYPE_REDO |
CATCH_TYPE_NEXT |

Definition at line 53 of file iseq.h.

## Field Documentation

unsigned long iseq_catch_table_entry::cont

Definition at line 64 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

unsigned long iseq_catch_table_entry::end

Definition at line 63 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

VALUE iseq_catch_table_entry::iseq

Definition at line 61 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_s_disasm(), iseq_set_exception_table(), make_name_for_block(), rb_iseq_build_for_ruby2cext(), rb_iseq_disasm(), rb_thread_current_status(), rb_thread_method_id_and_class(), and vm_exec().

unsigned long iseq_catch_table_entry::sp

Definition at line 65 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), and vm_exec().

unsigned long iseq_catch_table_entry::start

Definition at line 62 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

enum iseq_catch_table_entry::catch_type iseq_catch_table_entry::type

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

The documentation for this struct was generated from the following file:

- iseq.h